<template>
	<view class="noToken" v-if="!token" @click="goLogin">
	</view>
</template>

<script setup>
import { ref } from 'vue'
import { onShow } from '@dcloudio/uni-app';
import { navigateTo } from '@/utils/navigateTo';
	const goLogin = ()=>{
		navigateTo('/pages/login/index')
	}
	let token = ref(uni.getStorageSync('token'))
	onShow(()=>{
		token.value = uni.getStorageSync('token')
	})
</script>

<style lang="scss">
	.noToken{
		width: 100vw;
		height: 100vh;
		position: fixed;
		left: 0;
		top: 0;
		z-index: 2;
		pointer-events: auto;
	}
</style>